Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

Voice Environment Upgrade

Hi all,

I am preparing to upgrade my voice environment from 4.x to 7.x and had some questions that hopefully others that have been there can answer.

1) In looking at the documentation, I do not see where CCM 4.1(3) will support IPCCX 7.x, nor do I see where IPCCX 4.0(4) will support CCM 7.x. Ideally, I would migrate IPCC first and do call manager at a later date. Based on this information, however, it does not appear to be possible.

2) This is a huge undertaking, as I am planning to migrate CCM, IPCC and unity. Is there a 'best practices" order this should go in. The only one that, at least on the surface, does not appear to be dependant on the other factors is Unity (which is actually on 5.0(2) right now. I do have a Unity 4.2(1) box (VMO) that is an island unto itself, but I am going to be migrating those users to the 5.0(2) UM box and decommissioning the VMO server.

I have not received a hard deadline in which to accomplish this, but it has been my desire, since i started, to migrate this environment away from 4.x. That being said, we cannot be more than 2 major versions behind, thus we would like to accomplish this before 8 comes out.

I also "took it on the chin" (so to speak) with a Unity UM 4.2(1) Dom to Unity 5.0(2) Exchange 2007 migration/upgrade, in that I did not verify that VPIM would work in exchange 07 (prior to upgrading). Given that, I don't want to be caught off gaurd by any little gotcha's that I have not id'ed and that are not mentioned, or covered well, in the upgrade guide for these products. Can anyone speak to the caveats of this process, and what other things I need to be aware of, or that I need to watch out for.

-Ronald Spencer

4 REPLIES
Hall of Fame Super Red

Re: Voice Environment Upgrade

Hi Ronald,

I feel your pain my friend! These documents/Links below are sometimes over-looked but conatin significant UC upgrade Paths/strategies/recommendations. There is alot of info to weed through but will certainly save you from "taking it on the chin" again.

System Installation and Upgrade Manual for IP Telephony Enterprise and Midmarket

http://www.cisco.com/en/US/docs/voice_ip_comm/uc_system/UC7.0.1/ipt_system_inst_upg/suimt701.pdf

Cisco Unified Communications System Documentation

http://www.cisco.com/en/US/docs/voice_ip_comm/uc_system/unified/communications/system/ucstart.htm#Cisco_Unified_Communications_System

Cisco Unified Communications Compatibility Tool

http://tools.cisco.com/ITDIT/vtgsca/VTGServlet

Hope this helps! And best of luck!

Rob

New Member

Re: Voice Environment Upgrade

Hi Rob,

Thanks for all the GREAT info. What is the best way to get the most out of the Compatibility tool? ( don't see any information on my current version (4.1(3)).

-Ronnie

Hall of Fame Super Red

Re: Voice Environment Upgrade

Hi Ronnie,

You are most welcome my friend! The Compatibility Tool will use the new version (CUCM 7.x) and work backwards so to speak :)

Make sense,

Rob

New Member

Re: Voice Environment Upgrade

Hi Rob (and any other netpros that might want to chime in).

Sorry to revive an old thread. I am finally able to dedicate some real time to the migration project. Are there any netpros that have accomplished this (4.1(3) to 7.0(2))?

I am mainly interested in these details:

- Should I update phone firmware to a mutually compatible version before upgrading?

- Does anyone have experience with mocking this up in a test environment? I have tried to build 7.0(2) in VM and can (so long as i don't try to import my 4.1 data -which totally defeats the purpose of the exercise.)

Thanks in advance.

(If I should move this off into a new discussion, I will be more than happy to do so.

263
Views
5
Helpful
4
Replies
CreatePlease login to create content